Bug 213272 - x11-fonts/firacode: Update to 1.203
Summary: x11-fonts/firacode: Update to 1.203
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-10-07 13:31 UTC by Jamie Penman-Smithson
Modified: 2017-01-01 14:17 UTC (History)
2 users (show)

See Also:
vlad-fbsd: maintainer-feedback+


Attachments
patch (2.61 KB, patch)
2016-10-07 13:31 UTC, Jamie Penman-Smithson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Penman-Smithson 2016-10-07 13:31:42 UTC
Created attachment 175495 [details]
patch

Update to 1.203. Changelog: https://github.com/tonsky/FiraCode/releases

Since 1.200 TTF and web fonts have also been packaged, add options to allow these to be installed if required.
Comment 1 Dave Cottlehuber freebsd_committer 2016-10-07 13:56:55 UTC
awesome!

Given that people using this will only be on desktop systems, why not either:

- drop the options completely & install all the formats by default
- enable all the options by default

Either is fine by me, so pick one and lets ship it. Interestingly I didn't get notified by portscout of the version change, thanks for picking this up.
Comment 2 VK freebsd_triage 2016-10-07 14:23:18 UTC
Overhead of a few new font files installed vs. overhead of having yet another port scream for attention, I vote drop the options.

Please confirm the changes pass the build test (portlint, poudriere).
Comment 3 Jamie Penman-Smithson 2016-10-07 15:25:49 UTC
I'm not sure how fontconfig determines which font to use if there are multiple types, these threads suggest it isn't deterministic:

https://lists.freedesktop.org/archives/fontconfig/2008-July/002985.html
https://www.tug.org/pipermail/tex-live/2012-April/031414.html

So I'll update it to just include the OTF fonts and get rid of the options.
Comment 4 Dave Cottlehuber freebsd_committer 2016-10-23 20:19:42 UTC
(In reply to Jamie Penman-Smithson from comment #3)

a gentle bump for your updated patch
Comment 5 Dave Cottlehuber freebsd_committer 2016-11-05 23:05:53 UTC
https://github.com/tonsky/FiraCode/releases/tag/1.204 is out, if jps has no time I'll pick this up end of the week.
Comment 6 commit-hook freebsd_committer 2017-01-01 14:15:13 UTC
A commit references this bug:

Author: cs
Date: Sun Jan  1 14:14:39 UTC 2017
New revision: 430255
URL: https://svnweb.freebsd.org/changeset/ports/430255

Log:
  Update to 1.204

  PR:		213272
  Approved by:	maintainer (via personal mail)

Changes:
  head/x11-fonts/firacode/Makefile
  head/x11-fonts/firacode/distinfo